package com.fuyuanshen.fyscustomer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fuyuanshen.fyscustomer.domain.Customer;
import com.fuyuanshen.fyscustomer.domain.query.UserQueryCriteria;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 默苍璃
 * @date: 2025-07-0114:37
 */
@Mapper
public interface CustomerMapper extends BaseMapper<Customer> {

    /**
     * 查询所有客户
     *
     * @param criteria
     * @return
     */
    List<Customer> queryAllCustomers(@Param("criteria") UserQueryCriteria criteria);


}
